PDA

View Full Version : Wrog GXT JAR



dialloma
5 May 2010, 1:14 PM
Hello,

Just to notice you that the GXT 2.1.1 Jar stored in maven repository is wrong. Please try

Thanks

dialloma

dagmar
6 May 2010, 2:58 AM
Hi

I am facing the same problem that the jar for 2.1.1 downloaded from the maven repository seems to be the the one for GWT 2.0, and I need the one for GWT 1.7 (so my build fails with a lot of GWT compile errors).

http://mirrors.ibiblio.org/pub/mirrors/maven2/com/extjs/gxt/2.1.1/

Has anyone else faced the same problem? It seems the jar has recently been updated because this problem has only occurred with people trying our maven build for the first time.

Is there another maven repo we can use which points to the GWT 1.7 version of GXT 2.1.1?

Any help greatly appreciated.


<dependency>
<groupId>com.google.gwt</groupId>
<artifactId>gwt-servlet</artifactId>
<version>1.7.1</version>
<scope>compile</scope>
</dependency>


<dependency>
<groupId>com.extjs</groupId>
<artifactId>gxt</artifactId>
<version>2.1.1</version>
</dependency>

dialloma
6 May 2010, 3:16 AM
I also had a compilation error. And when I look at for the GXT jar from maven repository, it size was different by the Jar from GXT website. Now I have manualy installed the GXT Jar in my local repository. And It works fine.

dagmar
6 May 2010, 4:07 AM
we managed to fix the problem by uploading the correct jar to our own repo and added a classifier to indicate we required the gwt1.7 version


<dependency>
<groupId>com.extjs</groupId>
<artifactId>gxt</artifactId>
<version>2.1.1</version>
<classifier>gwt17</classifier>
</dependency>